
Figure - Bug #117339
【AF】【VX1】【EVT3】【显示】【偶现】车辆点检操作（涉及到用电操作只有操作中控大屏，开关灯和雨
刮，其他的上下电）设备点检过程三屏自动黑屏
2023-04-06 11:28 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-06

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：0062

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

该现象在整车上出现，且设备处于长时间工作状态

【测试步骤】

1.整车上电后仪表屏、中控屏、副屏均正常启动无异常，

2.进行车辆点检操作（涉及到用电操作只有操作中控大屏，开关灯和雨刮，其他的上下电）

3.设备处于上电待机状态

【预期结果】

3.上电状态不涉及设备重启操作时，三屏均无自动黑屏现象（非屏保状态）

【实际结果】

3.仪表屏幕出现偶现自动黑屏，当仪表黑屏副屏会紧接着黑屏；必须要下蓄电池的电来恢复，恢复上电后仪表也不一定能亮，甚至有时

中控会跟着一起黑掉。

PS

日志路径：192.168.87.46/wtest_logs/tlog_iov0201017500006162025411a2212290000001621_105_0228121108.tar.gz

History

#1 - 2023-04-06 19:43 - 移动测试一组_CDTS 刘强

- Subject changed from 【AF】【VX1】【EVT3】【显示】【偶现】设备点检过程三屏自动黑屏 to 【AF】【VX1】【EVT3】【显示】【偶现】车辆点检操

作（涉及到用电操作只有操作中控大屏，开关灯和雨刮，其他的上下电）设备点检过程三屏自动黑屏

#2 - 2023-04-08 16:39 - CDTS-TEST 周婷

- Severity changed from Normal to Critical

#3 - 2023-04-10 11:04 - CD TPM-王祥林

2023.4.6

BSP: @杜磊 

从100个压缩包日志中，check kernel log, 发现：

1.  最早一份日志为第4次开机的log， 本次log中有出现加串解串芯片I2C读写错误，此次错误应该是工厂阶段，没有连接LCD，导致无法进行i2c通信。

799:01-01 08:04:34.500     0     0 E         : [MAX975X:max96755g_probe] ERROR begin

890:01-01 08:04:35.042     0     0 E         : [MAX975X:max96755x_init] ERROR begin

892:01-01 08:04:35.098     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to read dev:0x48 addr:0x0013
894:01-01 08:04:35.098     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to write dev:0x48 addr:0x0010 value:0x01

896:01-01 08:04:35.099     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to write dev:0x48 addr:0x0001 value:0x02

898:01-01 08:04:35.099     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to write dev:0x48 addr:0x01ce value:0x5e

900:01-01 08:04:35.104     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to write dev:0x48 addr:0x0010 value:0x21

902:01-01 08:04:35.206     0     0 E         : [MAX975X:max96755x_init] ERROR Failed to read dev:0x48 addr:0x0013

903:01-01 08:04:35.206     0     0 E         : [MAX975X:max96755x_init] ERROR read:752 0x13:00

904:01-01 08:04:35.206     0     0 E         : [MAX975X:max96755x_init] ERROR read:755 0x13:12

905:01-01 08:04:35.206     0     0 E         : [MAX975X:max96755x_init] ERROR done

907:01-01 08:04:35.206     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8E err

908:01-01 08:04:35.206     0     0 E         : [MAX975X:max96755g_probe] ERROR backlight on failed -107

909:01-01 08:04:35.206     0     0 E         : [MAX975X:max96755g_probe] ERROR done

912:01-01 08:04:35.207     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8E err

1312:01-01 08:04:37.026     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8E err

1699:01-01 08:04:38.850     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8E err

1708:01-01 08:04:40.674     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8E err

1710:01-01 08:04:42.498     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8E err

1775:01-01 08:04:44.322     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8E err

2505:01-01 08:04:45.893     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x8E err

2. 第二份log是从第19次开机开始的，那么从第5次到第18次的日志没有保存，从19~103次log, 加解串芯片驱动log都是正常的。

711:01-01 08:00:03.500     0     0 E         : [MAX975X:max96755g_probe] ERROR begin

891:01-01 08:00:04.056     0     0 E         : [MAX975X:max96755x_init] ERROR begin

892:01-01 08:00:04.220     0     0 E         : [MAX975X:max96755x_init] ERROR read:752 0x13:da

893:01-01 08:00:04.220     0     0 E         : [MAX975X:max96755x_init] ERROR read:755 0x13:da

894:01-01 08:00:04.220     0     0 E         : [MAX975X:max96755x_init] ERROR done

895:01-01 08:00:04.221     0     0 E         : [MAX975X:max96755g_probe] ERROR backlight on failed 7

896:01-01 08:00:04.221     0     0 E         : [MAX975X:max96755g_probe] ERROR done

问题怀疑点：

  1. 问题发生时，由于无法通过虚拟投屏来确认系统是否发生crash而导致系统黑屏。

  2. 问题发生时，系统运行正常，屏端异常可能导致无显示。

System:

AF:@曹覃刚 

1.从100份日志中，过滤屏幕熄灭的日志

其中两次是通过power键(通过点击控制中心熄屏按钮)，其余均是正常收到下电信号导致

FSEM_054_0066_1677556129405/053_persist_00355_230228_115046.log:1294:02-28 11:51:20.615  1463  1463 I PowerManagerService: Going to sleep due to

power_button (uid 1000)...

FSEM_054_0066_1677556129405/053_persist_00362_230228_115715.log.ing:280:02-28 11:57:25.075  1463  2782 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_064_0094_1677556129116/063_persist_00814_230228_183034.log.ing:2096:02-28 18:32:46.892  1507  2817 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_094_0134_1677556129391/093_persist_00581_230228_121706.log.ing:1402:02-28 12:18:24.926  1494  2115 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_057_0070_1677556129285/056_persist_00442_230228_121701.log.ing:1337:02-28 12:18:25.892  1495  2459 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_058_0071_1677556129124/057_persist_00456_230228_114918.log:2065:02-28 11:49:56.768  1499  2126 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_053_0065_1677556129360/052_persist_00338_230228_121655.log.ing:1416:02-28 12:18:25.120  1503  4770 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_062_0079_1677556129146/061_persist_00592_230228_121822.log.ing:2070:02-28 12:20:20.488  1504  2113 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...
FSEM_047_0056_1677556129314/046_persist_00181_230228_121523.log.ing:580:02-28 12:15:53.497  1520  2070 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_088_0124_1677556129447/087_persist_00386_230228_115313.log.ing:198:02-28 11:53:26.180  1500  2821 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_048_0057_1677556129324/047_persist_00195_230228_114918.log.ing:985:02-28 11:49:23.661  1500  2104 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_049_0058_1677556129298/048_persist_00209_230228_114901.log.ing:1395:02-28 11:49:09.209  1470  2076 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_061_0077_1677556128856/060_persist_00564_230228_121807.log.ing:269:02-28 12:18:24.897  1472  1783 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_102_0144_1677556129371/101_persist_00789_230228_115740.log.ing:1765:02-28 11:59:11.679  1490  1519 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_068_0100_1677556128849/067_persist_00916_230228_114844.log.ing:1602:02-28 11:49:01.514  1510  3144 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_091_0131_1677556129056/090_persist_00507_230228_120217.log:2390:02-28 12:04:35.835  1518  1552 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_101_0143_1677556129300/100_persist_00770_230228_115328.log.ing:1311:02-28 11:54:45.714  1221  2073 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_069_0101_1677556129018/068_persist_00931_230228_115028.log.ing:1642:02-28 11:51:09.598  1503  2133 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_067_0099_1677556129488/066_persist_00903_230228_124747.log.ing:1225:02-28 12:48:58.974  1493  2068 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_083_0119_1677556129206/082_persist_00309_230228_114844.log.ing:1635:02-28 11:49:03.787  1517  1949 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_093_0133_1677556129219/092_persist_00551_230228_121746.log.ing:643:02-28 12:18:24.937  1446  2146 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_051_0063_1677556129317/050_persist_00286_230228_115254.log.ing:881:02-28 11:53:44.119  1484  2064 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_099_0141_1677556129331/098_persist_00737_230228_120056.log.ing:9:02-28 12:00:56.660  1525  1575 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_087_0123_1677556129252/086_persist_00368_230228_122050.log:1509:02-28 12:21:43.604  1507  2345 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_072_0105_1677556129297/071_persist_00017_230228_122646.log:2600:02-28 12:29:03.013  1519  2120 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_056_0069_1677556129287/055_persist_00412_230228_123008.log.ing:817:02-28 12:30:09.335  1489  2013 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_080_0114_1677556129161/079_persist_00203_230228_132054.log:2021:02-28 13:21:51.485  1514  4774 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_066_0097_1677557929311/066_persist_00880_230228_120807.log:1089:02-28 12:08:25.883  1493  1493 I PowerManagerService: Going to sleep due to

power_button (uid 1000)...

FSEM_063_0080_1677556129041/062_persist_00609_230331_124919.log:1640:03-31 12:49:41.877  1518  2078 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_086_0121_1677556129164/084_persist_00337_230228_114918.log:1893:02-28 11:49:55.166  1500  2111 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_050_0062_1677556129265/049_persist_00269_230228_131929.log.ing:1265:02-28 13:20:41.558  1490  2483 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_092_0132_1677556129388/091_persist_00522_230228_114918.log.ing:1805:02-28 11:50:21.278  1505  1538 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_082_0118_1677556129199/081_persist_00296_230228_130250.log.ing:736:02-28 13:03:29.514  1492  2097 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_036_0041_1677556129036/035_persist_00771_230228_114843.log.ing:1603:02-28 11:49:04.858  1490  2795 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_096_0138_1677556129453/095_persist_00658_230228_122535.log.ing:184:02-28 12:25:46.664  1496  4735 I PowerManagerService: Going to sleep due to
device_admin (uid 1000)...

FSEM_100_0142_1677556129476/099_persist_00753_230228_115226.log.ing:32:02-28 11:52:28.611  1508  2842 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_084_0120_1677556128973/083_persist_00323_230228_114918.log.ing:1396:02-28 11:49:46.255  1475  2068 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_071_0103_1677556129451/070_persist_00982_230228_120246.log.ing:1619:02-28 12:04:13.787  1504  1536 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_055_0067_1677556129211/054_persist_00377_230228_115028.log.ing:1167:02-28 11:50:34.590  1506  2020 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_045_0054_1677556129126/044_persist_00107_230228_121730.log.ing:2059:02-28 12:18:24.781  1496  1527 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_081_0115_1677556129242/080_persist_00230_230228_121128.log.ing:901:02-28 12:12:02.485  1485  2010 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_059_0074_1677556129420/058_persist_00502_230228_125328.log.ing:1880:02-28 12:54:48.171  1489  2075 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_089_0125_1677556129293/088_persist_00400_230228_114918.log.ing:992:02-28 11:49:36.085  1504  2108 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_046_0055_1677556129373/045_persist_00151_230228_120406.log.ing:2160:02-28 12:05:44.706  1498  1975 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_079_0110_1677556129270/078_persist_00136_230228_121738.log.ing:1076:02-28 12:18:40.488  1502  4724 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_066_0096_1677556129312/065_persist_00853_230228_120025.log.ing:251:02-28 12:00:38.248  1531  4907 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_076_0106_1677556129328/072_persist_00038_230228_115835.log.ing:1797:02-28 11:59:50.698  1507  1957 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_097_0139_1677556129113/096_persist_00689_230228_121828.log.ing:49:02-28 12:18:30.294  1497  1801 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_060_0076_1677556129269/059_persist_00533_230228_122048.log.ing:1880:02-28 12:22:23.624  1501  4777 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_090_0130_1677556129202/089_persist_00485_230228_140002.log.ing:1251:02-28 14:01:13.139  1496  2842 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_070_0102_1677556129384/069_persist_00959_230228_121737.log.ing:982:02-28 12:18:33.912  1523  1547 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_065_0095_1677556129249/064_persist_00831_230228_115438.log:2482:02-28 11:57:15.407  1508  1540 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

FSEM_095_0136_1677556129206/094_persist_00624_230228_124237.log.ing:1031:02-28 12:43:32.599  1498  3458 I PowerManagerService: Going to sleep due to

device_admin (uid 1000)...

2.过滤日志中发生的异常等

其中微服务发生了一些异常，但是该异常不会引起屏幕黑屏，且该异常是捕获后主动打印的，不影响系统的正常运行

02-28 11:48:58.017  2114  4026 E AndroidRuntime: FATAL EXCEPTION: Thread-28

02-28 11:48:58.017  2114  4026 E AndroidRuntime: Process: com.thundercomm.microservice, PID: 2114

02-28 11:48:58.017  2114  4026 E AndroidRuntime: java.lang.NullPointerException: Attempt to invoke virtual method 'int java.lang.String.hashCode()' on a null object

reference

02-28 11:48:58.017  2114  4026 E AndroidRuntime:         at android.os.Parcel.createExceptionOrNull(Parcel.java:2431)

02-28 11:48:58.017  2114  4026 E AndroidRuntime:         at android.os.Parcel.createException(Parcel.java:2409)

02-28 11:48:58.017  2114  4026 E AndroidRuntime:         at android.os.Parcel.readException(Parcel.java:2392)

02-28 11:48:58.017  2114  4026 E AndroidRuntime:         at android.os.Parcel.readException(Parcel.java:2334)

02-28 11:48:58.017  2114  4026 E AndroidRuntime:         at

com.thundercomm.microservice.ITCMicroCommonCallback$Stub$Proxy.request(ITCMicroCommonCallback.java:203)

02-28 11:48:58.017  2114  4026 E AndroidRuntime:         at com.thundercomm.microservice.MicroService.request(MicroService.java:306)

02-28 11:48:58.017  2114  4026 E AndroidRuntime:         at com.thundercomm.microservice.MicroService.onRequest(MicroService.java:236)

02-28 11:48:58.017  2114  4026 E AndroidRuntime:         at com.thundercomm.microservice.MicroSocketReader.dealMessage(MicroSocketReader.java:85)
02-28 11:48:58.017  2114  4026 E AndroidRuntime:         at com.thundercomm.microservice.MicroSocketReader.run(MicroSocketReader.java:47)

结合上述两点分析，上层没有发现异常息屏和关机的行为

同时结合问题发生时，整车环境中，仪表屏幕先黑屏，之后副屏黑屏。

推测大概率是屏幕硬件侧或者整车电路异常导致

#4 - 2023-04-10 19:06 - CD TPM-王祥林

当前进度：

BSP:

预计周四能分析完日志。给出是否有异常的结论。

AF：

已过滤错误日志关键字，没发现异常。

下一步计划：

推动屏厂查看是否屏幕是否有问题。

#5 - 2023-04-11 19:06 - CD TPM-王祥林

当前进度：

1.日志中发现有一处屏幕驱动加载异常，但是在开机的时候。和报问题的场景对不上。

其他日志都是正常开机和关机的，没有运行过程中异常关机或者黑屏相关的错误。

2.再次询问现场人员具体情况，发现点检过程中一直未踩过刹车。怀疑是30分钟后自动下电导致的黑屏。

下一步计划：

按照30自动下电的情况看待，属于正常现象，暂不进一步分析。后续继续观察。

#6 - 2023-04-12 15:58 - CD TPM-王祥林

当前进度：

按照30自动下电的情况看待，属于正常现象，暂不进一步分析。

下一步计划：

给客户出一个正式报告进行说明。

#7 - 2023-04-13 13:46 - CD TPM-王祥林

- Status changed from New to NEED_INFO

判定为30分钟自动下电，非软硬件故障。报告已提供给客户，待回复。

#8 - 2023-04-19 19:50 - CD TPM-王祥林

客户反馈问题复现的时候KL15未下电。目前唯一还有怀疑点只剩下屏幕，已经反馈给客户推动屏幕厂商。

#9 - 2023-05-09 15:17 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to DUPLICATE
客户已按照和下面这个上电KL15沿变未检测到的问题作为同件处理。此问题可以关闭。

https://share.thundersoft.com/redmine/issues/116260

#10 - 2023-05-10 14:24 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

根据分析，此问题和116260为相同原因，该问题已经修复，由116260进行后续跟踪，此问题关闭

#11 - 2023-05-10 14:24 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

黑屏现象.mp4 1.3 MB 2023-04-06 移动测试一组_CDTS 刘强
